Get Payment Methods

get

/brm/paymentMethods/v4/paymentMethod

The operation lists payment methods or finds payment methods that match the specified criteria.

Request

Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The payment methods were retrieved successfully.
Headers
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : items
Match One Schema
Show Source
  • Cash
    Specifies a cash payment method with no additional data. You can extend it to include information such as the cashier who accepted the payment or the person who paid.
  • Check
    Specifies a check payment method.
  • BankAccountDebit
    Specifies a bank account debit payment method. You can extend it to include any authorization fields that recurring payments require.
  • BankCard
    Specifies a bank card payment method.
  • TokenizedCard
    Specifies a tokenized card payment method.
Nested Schema : Cash
Type: object
Specifies a cash payment method with no additional data. You can extend it to include information such as the cashier who accepted the payment or the person who paid.
Show Source
Match All
Specifies a cash payment method with no additional data. You can extend it to include information such as the cashier who accepted the payment or the person who paid.
Show Source
  • PaymentMethod
    Specifies the base model for the implemented cash, check, bank account debit, bank card, and tokenized card payment methods.
Nested Schema : Check
Type: object
Specifies a check payment method.
Show Source
Match All
Specifies a check payment method.
Show Source
  • PaymentMethod
    Specifies the base model for the implemented cash, check, bank account debit, bank card, and tokenized card payment methods.
Nested Schema : BankAccountDebit
Type: object
Specifies a bank account debit payment method. You can extend it to include any authorization fields that recurring payments require.
Show Source
Match All
Specifies a bank account debit payment method. You can extend it to include any authorization fields that recurring payments require.
Show Source
  • PaymentMethod
    Specifies the base model for the implemented cash, check, bank account debit, bank card, and tokenized card payment methods.
Nested Schema : BankCard
Type: object
Specifies a bank card payment method.
Show Source
Match All
Specifies a bank card payment method.
Show Source
  • PaymentMethod
    Specifies the base model for the implemented cash, check, bank account debit, bank card, and tokenized card payment methods.
Nested Schema : TokenizedCard
Type: object
Specifies a tokenized card payment method.
Show Source
Match All
Specifies a tokenized card payment method.
Show Source
  • PaymentMethod
    Specifies the base model for the implemented cash, check, bank account debit, bank card, and tokenized card payment methods.
Nested Schema : PaymentMethod
Type: object
Specifies the base model for the implemented cash, check, bank account debit, bank card, and tokenized card payment methods.
Show Source
Match All
Specifies the base model for the implemented cash, check, bank account debit, bank card, and tokenized card payment methods.
Show Source
Nested Schema : Entity
Type: object
Represents a base entity schema for TM Forum Open APIs.
Match All
Represents a base entity schema for TM Forum Open APIs.
Represents a base entity schema for TM Forum Open APIs.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Addressable
Type: object
Defines a base schema for addressable entities.
Show Source

400 Response

The request isn't valid.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

401 Response

The client doesn't have the correct privileges.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

403 Response

The request wasn't authorized.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

404 Response

The requested resource couldn't be found.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

405 Response

This method is not allowed.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

409 Response

The request could not be processed due to the conflict with the existing state of the resource.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

500 Response

The system encountered an internal error.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source
Back to Top

Examples

The following examples show how to retrieve payment methods by submitting GET requests on the REST resource using cURL. For more information, see Use cURL.

Example 1: Retrieve all available payment methods.

The following request uses the documented query criteria.

curl -X GET 'http://host:port/brm/paymentMethods/version/paymentMethod/'

where:

  • host is the URL for the REST server.
  • port is the port for the REST server.
  • version is the version of the API you're using, such as v1. For Payment Method API, v1 and v4 are supported. In BRM 16.26, v4 support is limited to payment methods with the following @type values: bankCard, cash, check, bankAccountDebit, and tokenizedCard.

Example of Response Body

The following example shows the contents of the response body.

[
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277501"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "1111222233334444",
    "id": "0.0.0.1+-payinfo-dd+728505",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+728505",
    "name": "Main Direcct Debit",
    "owner": "newName",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+228562"
      }
    ],
    "nameOnCard": "a a",
    "id": "0.0.0.1+-payinfo-cc+914720",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-cc+914720",
    "street": "Kadubusanalli",
    "cardType": "credit",
    "postCode": "560103",
    "name": "PIN Payinfo Object",
    "cardNumber": "1001663125512161111",
    "city": "Bengaluru",
    "country": "IN",
    "stateOrProvince": "KARNATAKA",
    "isPreferred": false,
    "@type": "bankCard",
    "brand": "visa"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1031192",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1031192",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1028632",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1028632",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1029994",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1029994",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1034824",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1034824",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1033800",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1033800",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1035848",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1035848",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1029912",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1029912",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1032520",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1032520",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1029784",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1029784",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1031832",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1031832",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1028586",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1028586",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1030634",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1030634",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1033544",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1033544",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1030232",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1030232",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1031256",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1031256",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1029098",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1029098",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1031146",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1031146",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1031768",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1031768",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  }
]

Example 2: Get payment method associated with a particular account.

The following request uses the documented query criteria.

curl -X GET 'http://host:port/brm/paymentMethods/version/paymentMethod/?account.id=0.0.0.1+-account+228562'

where:

  • host is the URL for the REST server.
  • port is the port for the REST server.
  • version is the version of the API you're using, such as v1. For Payment Method API, v1 and v4 are supported. In BRM 16.26, v4 support is limited to payment methods with the following @type values: bankCard, cash, check, bankAccountDebit, and tokenizedCard.

Example of Response Body

The following example shows the contents of the response body.

[
  {
    "account": [
      {
        "id": "0.0.0.1+-account+228562"
      }
    ],
    "nameOnCard": "a a",
    "id": "0.0.0.1+-payinfo-cc+914720",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-cc+914720",
    "street": "Kadubusanalli",
    "cardType": "credit",
    "postCode": "560103",
    "name": "PIN Payinfo Object",
    "cardNumber": "1001663125512161111",
    "city": "Bengaluru",
    "country": "IN",
    "stateOrProvince": "KARNATAKA",
    "isPreferred": false,
    "@type": "bankCard",
    "brand": "visa"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+228562"
      }
    ],
    "nameOnCard": "New CC",
    "id": "0.0.0.1+-payinfo-cc+1066043",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-cc+1066043",
    "street": "KAR",
    "cardType": "credit",
    "postCode": "147001",
    "name": "Main Direcct Debit",
    "cardNumber": "2222333344445555   ",
    "city": "KAR",
    "country": "AF",
    "stateOrProvince": "KAR",
    "isPreferred": false,
    "@type": "bankCard",
    "brand": "visa"
  },
  {
    "emailAddress": "",
    "city": "Bengaluru",
    "account": [
      {
        "id": "0.0.0.1+-account+228562"
      }
    ],
    "country": "IN",
    "id": "0.0.0.1+-payinfo-invoice+361919",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-invoice+361919",
    "invoiceName": "a a",
    "name": "INv1203",
    "street": "Kadubusanalli",
    "stateOrProvince": "KARNATAKA",
    "mediumType": "postalAddress",
    "postCode": "560103",
    "isPreferred": true,
    "@type": "invoice"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+228562"
      }
    ],
    "nameOnCard": "a a",
    "id": "0.0.0.1+-payinfo-cc+765076",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-cc+765076",
    "street": "Kadubusanalli",
    "cardType": "credit",
    "postCode": "560103",
    "name": "PIN Payinfo Object",
    "cardNumber": "1001663125512161111",
    "city": "Bengaluru",
    "country": "IN",
    "stateOrProvince": "KARNATAKA",
    "isPreferred": false,
    "@type": "bankCard",
    "brand": "visa"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+228562"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1045694",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1045694",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+228562"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1047742",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1047742",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+228562"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1062341",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1062341",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+228562"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1065732",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1065732",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "emailAddress": "abc@xyz.com",
    "city": "KAR",
    "account": [
      {
        "id": "0.0.0.1+-account+228562"
      }
    ],
    "country": "AF",
    "id": "0.0.0.1+-payinfo-invoice+1062471",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-invoice+1062471",
    "invoiceName": "test ps8",
    "name": "New Invoice-1",
    "street": "KAR",
    "stateOrProvince": "KAR",
    "mediumType": "emailAddress",
    "postCode": "147001",
    "isPreferred": true,
    "@type": "invoice"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+228562"
      }
    ],
    "nameOnCard": "New CC",
    "id": "0.0.0.1+-payinfo-cc+1070424",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-cc+1070424",
    "street": "KAR",
    "cardType": "credit",
    "postCode": "147001",
    "name": "Main Direcct Debit",
    "cardNumber": "2222333344445555   ",
    "city": "KAR",
    "country": "AF",
    "stateOrProvince": "KAR",
    "isPreferred": false,
    "@type": "bankCard",
    "brand": "visa"
  }
]

Example 3: Retrieves payment method using offset and limit.

The following request uses the documented query criteria.

curl -X GET 'http://host:port/brm/paymentMethods/version/paymentMethod/?@type=bankAccountDebit&offset=5&limit=3'

where:

  • host is the URL for the REST server.
  • port is the port for the REST server.
  • version is the version of the API you're using, such as v1. For Payment Method API, v1 and v4 are supported. In BRM 16.26, v4 support is limited to payment methods with the following @type values: bankCard, cash, check, bankAccountDebit, and tokenizedCard.

Example of Response Body

The following example shows the contents of the response body.

[
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1034824",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1034824",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1033800",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1033800",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1035848",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1035848",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  }
]

Example 4: Using filter field for /payinfo/dd

The following examples show how to retrieve a payment method using a filter field by submitting GET requests on the REST resource using cURL. For more information, see Use cURL.

curl -X GET 'http://host:port/brm/paymentMethods/version/paymentMethod/?@type=bankAccountDebit&owner=ABC%20ABC'

where:

  • host is the URL for the REST server.
  • port is the port for the REST server.
  • version is the version of the API you're using, such as v1. For Payment Method API, v1 and v4 are supported. In BRM 16.26, v4 support is limited to payment methods with the following @type values: bankCard, cash, check, bankAccountDebit, and tokenizedCard.

Example of Response Body

The following example shows the contents of the response body.

[
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1031192",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1031192",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1028632",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1028632",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1029994",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1029994",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1034824",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1034824",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1033800",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1033800",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1035848",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1035848",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1029912",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1029912",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1032520",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1032520",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1029784",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1029784",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1031832",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1031832",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1028586",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1028586",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1030634",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1030634",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1033544",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1033544",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1030232",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1030232",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1031256",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1031256",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1029098",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1029098",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1031146",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1031146",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1031768",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1031768",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1028440",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1028440",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": true,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+277121"
      }
    ],
    "accountNumberType": "None",
    "accountNumber": "12345678901234567",
    "id": "0.0.0.1+-payinfo-dd+1030488",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-dd+1030488",
    "name": "Main Direcct Debit",
    "owner": "ABC ABC",
    "isPreferred": false,
    "@type": "bankAccountDebit",
    "bank": "Fictitious Bank.inc"
  }
]

Example 5: Using filter field for /payinfo/cc

The following request uses the documented query criteria.

curl -X GET 'http://host:port/brm/paymentMethods/version/paymentMethod/?@type=bankCard&postCode=147001'

where:

  • host is the URL for the REST server.
  • port is the port for the REST server.
  • version is the version of the API you're using, such as v1. For Payment Method API, v1 and v4 are supported. In BRM 16.26, v4 support is limited to payment methods with the following @type values: bankCard, cash, check, bankAccountDebit, and tokenizedCard.

Example of Response Body

The following example shows the contents of the response body.

[
  {
    "account": [
      {
        "id": "0.0.0.1+-account+228562"
      }
    ],
    "nameOnCard": "New CC",
    "id": "0.0.0.1+-payinfo-cc+1066043",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-cc+1066043",
    "street": "KAR",
    "cardType": "credit",
    "postCode": "147001",
    "name": "Main Direcct Debit",
    "cardNumber": "2222333344445555   ",
    "city": "KAR",
    "country": "AF",
    "stateOrProvince": "KAR",
    "isPreferred": false,
    "@type": "bankCard",
    "brand": "visa"
  },
  {
    "account": [
      {
        "id": "0.0.0.1+-account+228562"
      }
    ],
    "nameOnCard": "New CC",
    "id": "0.0.0.1+-payinfo-cc+1070424",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-cc+1070424",
    "street": "KAR",
    "cardType": "credit",
    "postCode": "147001",
    "name": "Main Direcct Debit",
    "cardNumber": "2222333344445555   ",
    "city": "KAR",
    "country": "AF",
    "stateOrProvince": "KAR",
    "isPreferred": false,
    "@type": "bankCard",
    "brand": "visa"
  }
]

Example 6: Using filter field for /payinfo/invoice

The following request uses the documented query criteria.

curl -X GET 'http://host:port/brm/paymentMethods/version/paymentMethod/?@type=invoice&street=KAR'

where:

  • host is the URL for the REST server.
  • port is the port for the REST server.
  • version is the version of the API you're using, such as v1. For Payment Method API, v1 and v4 are supported. In BRM 16.26, v4 support is limited to payment methods with the following @type values: bankCard, cash, check, bankAccountDebit, and tokenizedCard.

Example of Response Body

The following example shows the contents of the response body.

[
  {
    "emailAddress": "abc@xyz.com",
    "city": "KAR",
    "account": [
      {
        "id": "0.0.0.1+-account+228562"
      }
    ],
    "country": "AF",
    "id": "0.0.0.1+-payinfo-invoice+1062471",
    "href": "http://host:port/brm/paymentMethods/v4/paymentMethod/0.0.0.1+-payinfo-invoice+1062471",
    "invoiceName": "test ps8",
    "name": "New Invoice-1",
    "street": "KAR",
    "stateOrProvince": "KAR",
    "mediumType": "emailAddress",
    "postCode": "147001",
    "isPreferred": true,
    "@type": "invoice"
  }
]
Back to Top